%define upstream_name    Scalar-Does
%define upstream_version 0.203

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Additional constants for Scalar::Does, inspired by the built-in Moose type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Scalar::Util) >= 1.240.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Tiny) >= 0.4.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::file)
BuildRequires: perl(lexical::underscore)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildArch:  noarch

Obsoletes:  perl-IO-Detect < 0.5.0-4

%description
It has long been noted that Perl would benefit from a 'does()' built-in. A
check that 'ref($thing) eq 'ARRAY'' doesn't allow you to accept an object
that uses overloading to provide an array-like interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.203.0-5.mga10
+ Revision: 2211799
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.203.0-4.mga9
+ Revision: 1830208
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.203.0-3.mga8
+ Revision: 1506170
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.203.0-2.mga7
+ Revision: 1285979
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 0.203.0-1.mga7
+ Revision: 1132688
- update to 0.203

* Sun Jun 19 2016 pterjan <pterjan> 0.202.0-7.mga6
+ Revision: 1033008
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.202.0-6.mga6
+ Revision: 951069
- Mageia 6 Mass Rebuild

* Sun Dec 07 2014 sander85 <sander85> 0.202.0-5.mga5
+ Revision: 802026
- Change obsoletes tag

* Sun Oct 19 2014 umeabot <umeabot> 0.202.0-4.mga5
+ Revision: 790001
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.202.0-3.mga5
+ Revision: 744511
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.202.0-2.mga5
+ Revision: 686168
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 jquelin <jquelin> 0.202.0-1.mga5
+ Revision: 612571
- update to 0.202

* Fri Nov 29 2013 jquelin <jquelin> 0.201.0-4.mga4
+ Revision: 554049
- wrong perl-IO-Detect version obsoleted

* Fri Nov 29 2013 jquelin <jquelin> 0.201.0-3.mga4
+ Revision: 554031
- obsoleting perl-IO-Detect (merged upstream)

* Mon Oct 21 2013 umeabot <umeabot> 0.201.0-2.mga4
+ Revision: 538605
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 0.201.0-1.mga4
+ Revision: 489985
- update to 0.201

* Thu Sep 26 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 487030
- update to 0.200

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 342583
- update to 0.010

* Wed Nov 07 2012 jquelin <jquelin> 0.9.0-1.mga3
+ Revision: 315841
- update to 0.009

* Wed Oct 10 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 304109
- imported package perl-Scalar-Does


* Wed Oct 10 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
